Public Member Functions | Protected Attributes

# CargoReroute< Tlist > Class Template Reference

Action of rerouting cargo between different cargo lists and/or next hops. More...

`#include <cargoaction.h>`

Inheritance diagram for CargoReroute< Tlist >:

## Public Member Functions
| CargoReroute (Tlist *source, Tlist *dest, uint max_move, StationID avoid, StationID avoid2, const GoodsEntry *ge)
## Protected Attributes
StationID | avoid
StationID | avoid2
const GoodsEntry * | ge

## Detailed Description

### template<class Tlist>
class CargoReroute< Tlist >

Action of rerouting cargo between different cargo lists and/or next hops.

Definition at line 117 of file cargoaction.h.

The documentation for this class was generated from the following file:

- src/cargoaction.h